Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
- JavaPlatform
- Platform
- ScalaPrimitives

t

scala.tools.nsc.backend

# Platform 

###

#### trait Platform extends AnyRef

The platform dependent pieces of Global.

Source
  Platform.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
GlobalPlatform, JavaPlatform
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Platform
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def externalEquals: symtab.SymbolTable.Symbol

   Symbol for a method which compares two objects.

2.  abstract def isMaybeBoxed(sym: symtab.SymbolTable.Symbol): Boolean

   The various ways a boxed primitive might materialize at runtime.

3.  abstract def needCompile(bin: AbstractFile, src: AbstractFile): Boolean

   Tells whether a class with both a binary and a source representation (found in classpath and in sourcepath) should be re-compiled.

   Tells whether a class with both a binary and a source representation (found in classpath and in sourcepath) should be re-compiled. Behaves on the JVM similar to javac, i.e. if the source file is newer than the classfile, a re-compile is triggered. On .NET by contrast classfiles always take precedence.

4.  abstract def platformPhases: List[SubComponent]

   Any platform-specific phases.

5.  abstract val symbolTable: SymbolTable
6.  abstract def updateClassPath(subst: Map[ClassPath, ClassPath]): Unit

   Update classpath with a substitution that maps entries to entries

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Platform to any2stringadd[Platform] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Platform, B)
   Implicit
     This member is added by an implicit conversion from Platform to ArrowAssoc[Platform] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Platform) ⇒ Boolean, msg: ⇒ Any): Platform
   Implicit
     This member is added by an implicit conversion from Platform to Ensuring[Platform] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Platform) ⇒ Boolean): Platform
   Implicit
     This member is added by an implicit conversion from Platform to Ensuring[Platform] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Platform
    Implicit
      This member is added by an implicit conversion from Platform to Ensuring[Platform] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Platform
    Implicit
      This member is added by an implicit conversion from Platform to Ensuring[Platform] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Platform to StringFormat[Platform] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (Platform, B)
    Implicit
      This member is added by an implicit conversion from Platform to ArrowAssoc[Platform] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Platform to any2stringadd[Platform]

### Inherited by implicit conversion StringFormat from Platform to StringFormat[Platform]

### Inherited by implicit conversion Ensuring from Platform to Ensuring[Platform]

### Inherited by implicit conversion ArrowAssoc from Platform to ArrowAssoc[Platform]

### Ungrouped